.wp-block-button.is-style-align-left {
  margin-right: auto;
}
.wp-block-button.is-style-align-center {
  margin-left: auto;
  margin-right: auto;
}
.wp-block-button.is-style-align-right {
  margin-left: auto;
}

.wp-block-button.jh-reserve-btn {
  max-width: 28rem;
  width: 100%;
}
.wp-block-button.jh-reserve-btn a.wp-block-button__link {
  position: relative;
  display: flex !important;
  align-items: center;
  width: 100%;
  max-width: 28rem;
  height: 6.6rem;
  padding: 1.6rem 6.8rem 1.6rem 1.6rem;
  font-size: 1.4rem;
  font-weight: 700;
  text-align: left;
  background-color: #ff6510 !important;
  color: #fff !important;
  border: 1px solid #ff6510 !important;
  border-radius: 0 !important;
  text-decoration: none;
  transition: 0.3s;
}
.wp-block-button.jh-reserve-btn a.wp-block-button__link::before {
  content: "";
  position: absolute;
  top: calc((100% - 4rem) / 2);
  right: 1.6rem;
  width: 4rem;
  height: 4rem;
  background-color: #fff;
  background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 11.585 12.949"><path fill="%23ff6510" d="M1.05,12.94l-1.05-1.7,7.77-4.77L0,1.7,1.05,0l10.54,6.47L1.05,12.94Z"/></svg>');
  background-size: 1.1585rem 1.2949rem;
  background-position: center;
  background-repeat: no-repeat;
  aspect-ratio: 11.585/12.949;
  transition: 0.3s;
}
.wp-block-button.jh-reserve-btn a.wp-block-button__link::after {
  content: "";
  position: absolute;
  top: calc((100% - 1.2949rem) / 2);
  right: 2.8rem;
  width: 1.1585rem;
  height: 1.2949rem;
  opacity: 0;
  background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 11.585 12.949"><path fill="%23ff6510" d="M1.05,12.94l-1.05-1.7,7.77-4.77L0,1.7,1.05,0l10.54,6.47L1.05,12.94Z"/></svg>');
  background-size: 1.1585rem 1.2949rem;
  background-position: center;
  background-repeat: no-repeat;
  aspect-ratio: 11.585/12.949;
  transform: translateX(-1rem);
  transition: 0.3s;
}
.wp-block-button.jh-reserve-btn a.wp-block-button__link:hover {
  opacity: 1;
}
.wp-block-button.jh-reserve-btn a.wp-block-button__link:hover::before {
  background-position: 150% center;
}
.wp-block-button.jh-reserve-btn a.wp-block-button__link:hover::after {
  opacity: 1;
  transform: translateX(0);
}